Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer
Class SimulatedPeer

    java.lang.Object
      lbg.peer.Peer
          lbg.peer.SimulatedPeer

    public class SimulatedPeer

extends Peer

Peer (SIM mode).

Author:
  Cyril Briquet

Constructor Summary
`SimulatedPeer(PeerBasicConfiguration peer_basic_config, PeerNetworkConfiguration peer_network_config, PeerDataConfiguration peer_data_config, PeerStrategyConfiguration peer_strategy_config, PeerServiceFactory peer_service_factory, ControllerFactory ctrlr_factory, SearchEngineHandle se_handle, EnvironmentController env_ctrlr, int sim_idx)` Creates a new Peer (SIM mode).

Method Summary
`GridDataManager` | `gdm()`
`java.util.logging.Logger` | `logger()`
`java.lang.String` | `toString()`

Methods inherited from class lbg.peer.Peer
`basicConfig, dataConfig, id, negotiatorController, netConfig, processSelfEvents, qms, register, rms, scheduler, schedulerController, searchEngine, service, strategyConfig, toStringSummary, xms`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimulatedPeer

    public SimulatedPeer(PeerBasicConfiguration peer_basic_config,
                         PeerNetworkConfiguration peer_network_config,
                         PeerDataConfiguration peer_data_config,
                         PeerStrategyConfiguration peer_strategy_config,
                         PeerServiceFactory peer_service_factory,
                         ControllerFactory ctrlr_factory,
                         SearchEngineHandle se_handle,
                         EnvironmentController env_ctrlr,
                         int sim_idx)
                  throws GridException

  Creates a new Peer (SIM mode).

  Parameters:
    `peer_basic_config` - Peer basic configuration
    `peer_network_config` - Peer network configuration
    `peer_data_config` - Peer data configuration
    `peer_strategy_config` - Peer strategy configuration
    `peer_service_factory` - Peer service factory
    `ctrlr_factory` - controller factory
    `se_handle` - search engine handle
    `env_ctrlr` - environment controller
    `sim_idx` - Peer simulator index
  Throws:
    `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Peer`

### gdm

    public GridDataManager gdm()

  Specified by:
    `gdm` in class `Peer`
  Returns:
    null

### logger

    public java.util.logging.Logger logger()

  Specified by:
    `logger` in class `Peer`
  Returns:
    null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.